WordPress 4.9.4 修复自动更新功能

2018年4月3日

WordPress 4.9.4 的发布是为了修复在 WordPress 4.9.3 中出现的一个新问题:无法自动更新WordPress内核版本。

起因是 WordPress 4.9.3 为了减少自动更新定时任务所产生的API调用的数量,而修改了相关代码。不幸的是,由于人为错误,最终的提交并没有达到预期的效果,而是触发了一个致命的PHP错误,因为并不是所有find_core_auto_update()的依赖都满足了。无论出于何种原因,在4.9.3发布之前没有发现致命错误 – 发布后几个小时才发现,所以才有了这个版本的发布。

所以,现在大家会看到,网站都没有自动更新到 WordPress 4.9.4。要求我们自己在网站后台 仪表盘 – 更新 界面,手动点击“现在更新”按钮进行更新。

也就是说,你只有手动更新到 WordPress 4.9.4,才能继续保证WordPress以后可以自动更新。

没有评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注